delete bash_completion in subcommand

Bug #1670123 reported by LiChunlin on 2017-03-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance Client
Undecided
LiChunlin
python-bileanclient
Undecided
LiChunlin
python-cloudpulseclient
Undecided
LiChunlin
python-evoqueclient
Undecided
LiChunlin
python-heatclient
In Progress
Undecided
LiChunlin
python-karborclient
Undecided
lihaijing
python-magnumclient
Undecided
LiChunlin
python-manilaclient
Wishlist
NidhiMittalHada
python-meteosclient
Undecided
LiChunlin
python-muranoclient
Undecided
Felipe Monteiro
python-novaclient
Undecided
NidhiMittalHada
python-senlinclient
Undecided
LiChunlin
python-zunclient
Undecided
LiChunlin

Bug Description

There are two "completion" in the subcommand table: bash-completion and bash_completion. They are following:
'bash_completion': MagnumClientArgumentParser(prog='magnum bash_completion', usage=None, description=None, version=None, formatter_class=<class 'magnumclient.shell.OpenStackHelpFormatter'>, conflict_handler='error', add_help=False)
'bash-completion': MagnumClientArgumentParser(prog='magnum bash-completion', usage=None, description="Prints arguments for bash-completion.\n\n Prints all of the commands and options to stdout so that the\n magnum.bash_completion script doesn't have to hard code them.\n ", version=None, formatter_class=<class 'magnumclient.shell.OpenStackHelpFormatter'>, conflict_handler='error', add_help=False)

But only "bash-completion" is shown in "magnum --help", and it is repeated with "bash-completion", so delete "bash_completion".

LiChunlin (lichl) on 2017-03-05
Changed in python-magnumclient:
assignee: nobody → LiChunlin (lichl)

Fix proposed to branch: master
Review: https://review.openstack.org/441675

Changed in python-magnumclient:
status: New → In Progress
LiChunlin (lichl) on 2017-03-11
Changed in python-cinderclient:
assignee: nobody → LiChunlin (lichl)

Fix proposed to branch: master
Review: https://review.openstack.org/444591

Changed in python-cinderclient:
status: New → In Progress
LiChunlin (lichl) on 2017-03-11
Changed in python-heatclient:
assignee: nobody → LiChunlin (lichl)
LiChunlin (lichl) on 2017-03-12
Changed in python-bileanclient:
assignee: nobody → LiChunlin (lichl)
Changed in python-heatclient:
status: New → In Progress
Changed in python-ceilometerclient:
assignee: nobody → LiChunlin (lichl)
LiChunlin (lichl) on 2017-03-12
Changed in python-cloudpulseclient:
assignee: nobody → LiChunlin (lichl)
Changed in python-evoqueclient:
assignee: nobody → LiChunlin (lichl)
LiChunlin (lichl) on 2017-03-12
Changed in python-glanceclient:
assignee: nobody → LiChunlin (lichl)
Changed in python-karborclient:
assignee: nobody → LiChunlin (lichl)
LiChunlin (lichl) on 2017-03-12
Changed in python-manilaclient:
assignee: nobody → LiChunlin (lichl)
Changed in python-meteosclient:
assignee: nobody → LiChunlin (lichl)
LiChunlin (lichl) on 2017-03-12
Changed in python-muranoclient:
assignee: nobody → LiChunlin (lichl)
Changed in python-novaclient:
assignee: nobody → LiChunlin (lichl)
LiChunlin (lichl) on 2017-03-12
Changed in python-senlinclient:
assignee: nobody → LiChunlin (lichl)

Fix proposed to branch: master
Review: https://review.openstack.org/444616

Changed in python-muranoclient:
status: New → In Progress
LiChunlin (lichl) on 2017-03-12
Changed in python-troveclient:
assignee: nobody → LiChunlin (lichl)
LiChunlin (lichl) on 2017-03-12
Changed in python-zunclient:
assignee: nobody → LiChunlin (lichl)

Fix proposed to branch: master
Review: https://review.openstack.org/444617

Changed in python-senlinclient:
status: New → In Progress
Amrith Kumar (amrith) wrote :

This doesn't materially improve trove, we're moving to osc anyway. this strikes me as being of little value.

no longer affects: python-troveclient
LiChunlin (lichl) on 2017-03-13
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/444882

Changed in python-glanceclient:
status: New → In Progress
Changed in python-manilaclient:
assignee: LiChunlin (lichl) → NidhiMittalHada (nidhimittal19)

Reviewed: https://review.openstack.org/444617
Committed: https://git.openstack.org/cgit/openstack/python-senlinclient/commit/?id=5aada5194e4a101c1daf38f67a49370597700969
Submitter: Jenkins
Branch: master

commit 5aada5194e4a101c1daf38f67a49370597700969
Author: ForestLee <email address hidden>
Date: Sun Mar 12 09:47:29 2017 +0800

    delete bash_completion in subcommand

    There are two "completion" in the subcommand table: bash-completion
    and bash_completion. but "bash_completion" is not in help information
    and it is repeated with "bash-completion", so delete it.

    Change-Id: I0c2fb8b77b737c2ffc05dd4bb641125e88a4fde4
    Closes-Bug: #1670123

Changed in python-senlinclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-senlinclient 1.3.0 release.

Changed in python-muranoclient:
assignee: LiChunlin (lichl) → Felipe Monteiro (fm577c)

Reviewed: https://review.openstack.org/444616
Committed: https://git.openstack.org/cgit/openstack/python-muranoclient/commit/?id=0b63a8d6a771bd66d3b8544ac11b34bfda84ad6c
Submitter: Jenkins
Branch: master

commit 0b63a8d6a771bd66d3b8544ac11b34bfda84ad6c
Author: ForestLee <email address hidden>
Date: Sun Mar 12 09:29:52 2017 +0800

    delete bash_completion in subcommand

    There are two "completion" in the subcommand table: bash-completion
    and bash_completion. but "bash_completion" is not in help information
    and it is repeated with "bash-completion", so delete it.

    Change-Id: Ia00061376daabeacd524b1afb01e2e9a585ac56f
    Closes-Bug: #1670123

Changed in python-muranoclient:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/461334

Changed in python-zunclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/461337

Changed in python-ceilometerclient:
status: New → In Progress
gordon chung (chungg) on 2017-05-01
no longer affects: python-ceilometerclient

Fix proposed to branch: master
Review: https://review.openstack.org/463920

Changed in python-manilaclient:
status: New → In Progress

Can i work on this ?

Changed in python-novaclient:
assignee: LiChunlin (lichl) → NidhiMittalHada (nidhimittal19)

Change abandoned by NidhiMittalHada (<email address hidden>) on branch: master
Review: https://review.openstack.org/463920
Reason: Abandoned, as its not a valid bug.

This issue was fixed in the openstack/python-muranoclient 0.13.0 release.

Eric Harney (eharney) on 2017-06-08
no longer affects: python-cinderclient

This issue was fixed in the openstack/python-ceilometerclient 2.9.0 release.

Changed in python-manilaclient:
importance: Undecided → Wishlist
lihaijing (lihaijing) wrote :

Can I work on this ? Thanks~

Changed in python-karborclient:
assignee: LiChunlin (lichl) → lihaijing (lihaijing)

Fix proposed to branch: master
Review: https://review.openstack.org/496521

Changed in python-karborclient:
status: New → In Progress

Reviewed: https://review.openstack.org/496521
Committed: https://git.openstack.org/cgit/openstack/python-karborclient/commit/?id=1bfd6d0ee49aa501d40e8f6a9e1d882a4c92d4f1
Submitter: Jenkins
Branch: master

commit 1bfd6d0ee49aa501d40e8f6a9e1d882a4c92d4f1
Author: lihaijing <email address hidden>
Date: Wed Aug 23 14:55:29 2017 +0800

    Delete bash_completion in subcommand

    There are two "completion" in the subcommand table: bash-completion
    and bash_completion. but "bash_completion" is not in help information
    and it is repeated with "bash-completion", so delete it.

    Change-Id: I18da874681ea00c18d72e164dc55aeea9d40731d
    Closes-Bug: #1670123

Changed in python-karborclient:
status: In Progress → Fix Released
Changed in python-meteosclient:
status: New → Invalid

This issue was fixed in the openstack/python-karborclient 0.7.0 release.

Change abandoned by Sean McGinnis (<email address hidden>) on branch: master
Review: https://review.openstack.org/444882
Reason: See discussion on https://review.openstack.org/#/c/444591/. Feel free to restore and update if you find otherwise.

Changed in python-manilaclient:
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers